Page 2 of 9 FirstFirst 1234 ... LastLast
Results 11 to 20 of 87

Thread: How to set up forked-daapd (mt-daapd replacement) on 9.10

  1. #11
    Join Date
    Mar 2007
    Beans
    15

    Re: How to set up forked-daapd (mt-daapd replacement) on 9.10

    Hi, I have removed @PHTREAD_LIBS@ from Makefile and /src/Makefile.
    Everything now compiles.
    This variabel is associated always with the tag -lmxml so it seems that it has something to do with Mini-XML (mxml).

  2. #12
    Join Date
    Aug 2007
    Beans
    6

    Re: How to set up forked-daapd (mt-daapd replacement) on 9.10

    Quote Originally Posted by bozo_the_grey View Post
    Hi, I have removed @PHTREAD_LIBS@ from Makefile and /src/Makefile.
    Everything now compiles.
    This variabel is associated always with the tag -lmxml so it seems that it has something to do with Mini-XML (mxml).
    The issue is with Mini-XML

    mini-xml / mxml.pc.in

    prefix=@prefix@
    exec_prefix=@exec_prefix@
    libdir=@libdir@
    includedir=@includedir@
    Name: Mini-XML
    Description: Lightweight XML support library
    Version: @VERSION@
    Libs: @PC_LIBS@ @PHTREAD_LIBS@
    Cflags: @PC_CFLAGS@ @PTHREAD_FLAGS@


    BTW I found this http://code.google.com/p/raopd/
    Last edited by regles; March 28th, 2010 at 10:27 PM.

  3. #13
    Join Date
    Apr 2010
    Beans
    1

    Re: How to set up forked-daapd (mt-daapd replacement) on 9.10

    Hi everyone,

    I modified the debian packages from forked-dapp's author (http://blog.technologeek.org/2010/02/14/282) to work on Ubuntu Karmic, and put them in my PPA here:

    https://launchpad.net/~codebutler/+archive/ppa

    Let me know if you have any questions or just find this useful!

    - Eric

  4. #14
    Join Date
    Jul 2007
    Beans
    4

    Re: How to set up forked-daapd (mt-daapd replacement) on 9.10

    Eric that was a huge help. Got forked-daapd up and serving music to a Mac in about five minutes with your packages. Made me look like a ninja after I told my wife I would have to compile my own packages.

    Thanks a bunch!

  5. #15
    Join Date
    May 2009
    Location
    NJ
    Beans
    35
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: How to set up forked-daapd (mt-daapd replacement) on 9.10

    Quote Originally Posted by codebutler View Post
    Hi everyone,

    I modified the debian packages from forked-dapp's author (http://blog.technologeek.org/2010/02/14/282) to work on Ubuntu Karmic, and put them in my PPA here:

    https://launchpad.net/~codebutler/+archive/ppa

    Let me know if you have any questions or just find this useful!

    - Eric
    Found this very useful! I've been having trouble with Rhythmbox/mt-daapd, and figured I'd give forked-daapd a try to see if it fixes my issues. Extremely easy to set up, thanks!

    One thing I was used to with mt-daapd, was through the web interface I could force a rescan of my library (and subsequently get the status of the scan). Any plans on having some interface to support this functionality? Is there any way I can see the status of the server scanning? How would I initiate a rescan if I add more music to the library?

    thanks again!

    edit: now when I try to connect to my library from rhythmbox, i see this error in the logs:
    [2010-04-21 10:28:32] daap: No User-Agent header, rejecting login request

    it worked fine connecting from itunes on windows.
    Last edited by cupoange; April 21st, 2010 at 03:34 PM.

  6. #16
    Join Date
    Aug 2007
    Beans
    6

    Re: How to set up forked-daapd (mt-daapd replacement) on 9.10

    Anybody tried installling the new and improved sourcecode?

    last forked-daapd code

  7. #17
    Join Date
    Jan 2008
    Location
    Auckland, New Zealand
    Beans
    3,132
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: How to set up forked-daapd (mt-daapd replacement) on 9.10

    I've also added an init script to get forked-daapd to run at startup.

    Code:
    gksu gedit /etc/init.d/forked-daapd
    sudo chmod +x /etc/init.d/forked-daapd
    sudo update-rc.d forked-daapd defaults
    In /etc/init.d/forked-daapd I copied and modified /etc/init.d/skeleton so it looks like:
    Code:
    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides:          forked-daapd
    # Required-Start:    $remote_fs $syslog
    # Required-Stop:     $remote_fs $syslog
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: Start forked-daapd
    # Description:       Start forked-daapd, a media server using
    #                    the DAAPD protocol
    ### END INIT INFO
    
    # Do NOT "set -e"
    
    # PATH should only include /usr/* if it runs after the mountnfs.sh script
    PATH=/sbin:/usr/sbin:/bin:/usr/bin
    DESC="DAAP server for media sharing"
    NAME=forked-daapd
    DAEMON=/usr/sbin/$NAME
    DAEMON_ARGS=""
    PIDFILE=/var/run/$NAME.pid
    SCRIPTNAME=/etc/init.d/$NAME
    
    # Exit if the package is not installed
    [ -x "$DAEMON" ] || exit 0
    
    # Read configuration variable file if it is present
    [ -r /etc/default/$NAME ] && . /etc/default/$NAME
    
    # Load the VERBOSE setting and other rcS variables
    . /lib/init/vars.sh
    
    # Define LSB log_* functions.
    # Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
    . /lib/lsb/init-functions
    
    #
    # Function that starts the daemon/service
    #
    do_start()
    {
    	# Return
    	#   0 if daemon has been started
    	#   1 if daemon was already running
    	#   2 if daemon could not be started
    	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
    		|| return 1
    	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
    		$DAEMON_ARGS \
    		|| return 2
    	# Add code here, if necessary, that waits for the process to be ready
    	# to handle requests from services started subsequently which depend
    	# on this one.  As a last resort, sleep for some time.
    
        # Not really necessary, nothing else should depend on this
    }
    
    #
    # Function that stops the daemon/service
    #
    do_stop()
    {
    	# Return
    	#   0 if daemon has been stopped
    	#   1 if daemon was already stopped
    	#   2 if daemon could not be stopped
    	#   other if a failure occurred
    	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
    	RETVAL="$?"
    	[ "$RETVAL" = 2 ] && return 2
    	# Wait for children to finish too if this is a daemon that forks
    	# and if the daemon is only ever run from this initscript.
    	# If the above conditions are not satisfied then add some other code
    	# that waits for the process to drop all resources that could be
    	# needed by services started subsequently.  A last resort is to
    	# sleep for some time.
    	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
    	[ "$?" = 2 ] && return 2
    	# Many daemons don't delete their pidfiles when they exit.
    	rm -f $PIDFILE
    	return "$RETVAL"
    }
    
    #
    # Function that sends a SIGHUP to the daemon/service
    #
    do_reload() {
    	#
    	# If the daemon can reload its configuration without
    	# restarting (for example, when it is sent a SIGHUP),
    	# then implement that here.
    	#
    	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
    	return 0
    }
    
    case "$1" in
      start)
    	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
    	do_start
    	case "$?" in
    		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
    		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    	esac
    	;;
      stop)
    	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
    	do_stop
    	case "$?" in
    		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
    		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    	esac
    	;;
      status)
           status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
           ;;
      #reload|force-reload)
    	#
    	# If do_reload() is not implemented then leave this commented out
    	# and leave 'force-reload' as an alias for 'restart'.
    	#
    	#log_daemon_msg "Reloading $DESC" "$NAME"
    	#do_reload
    	#log_end_msg $?
    	#;;
      restart|force-reload)
    	#
    	# If the "reload" option is implemented then remove the
    	# 'force-reload' alias
    	#
    	log_daemon_msg "Restarting $DESC" "$NAME"
    	do_stop
    	case "$?" in
    	  0|1)
    		do_start
    		case "$?" in
    			0) log_end_msg 0 ;;
    			1) log_end_msg 1 ;; # Old process is still running
    			*) log_end_msg 1 ;; # Failed to start
    		esac
    		;;
    	  *)
    	  	# Failed to stop
    		log_end_msg 1
    		;;
    	esac
    	;;
      *)
    	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
    	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
    	exit 3
    	;;
    esac
    
    :

  8. #18
    Join Date
    Jun 2010
    Beans
    1

    Re: How to set up forked-daapd (mt-daapd replacement) on 9.10

    Did anyone succeed in trying to compile the latest code from the git-repo with Ubuntu-10.04?
    Are there any actively maintained PPA's?
    Thanks in advance!

  9. #19
    Join Date
    Jan 2008
    Location
    Auckland, New Zealand
    Beans
    3,132
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: How to set up forked-daapd (mt-daapd replacement) on 9.10

    Quote Originally Posted by geistio View Post
    Did anyone succeed in trying to compile the latest code from the git-repo with Ubuntu-10.04?
    Are there any actively maintained PPA's?
    Thanks in advance!
    After recent changes I've had to run this before ./configure, otherwise the configure script can't find zlib for some reason:
    Code:
    export ZLIB_CFLAGS=-I/usr/include
    export ZLIB_LIBS=-lz
    I also had to install libsqlite3-0 and libsqlite3-dev from debian testing which have the unlock notify API enabled.

    I had to install libunistring-dev and libunistring0 but the build is failing at:
    Code:
    gcc -DHAVE_CONFIG_H -I. -I..  -D_GNU_SOURCE -I/usr/include -D_REENTRANT         -I/usr/include/taglib   -D_THREAD_SAFE -D_REENTRANT     -I/usr/include/alsa -DDATADIR="\"/usr/share/forked-daapd\"" -DCONFDIR="\"/etc\"" -DSTATEDIR="\"/var\"" -DFLAC -DMUSEPACK  -g -O2 -Wall -D_LARGEFILE_SOURCE -MT forked_daapd-misc.o -MD -MP -MF .deps/forked_daapd-misc.Tpo -c -o forked_daapd-misc.o `test -f 'misc.c' || echo './'`misc.c
    In file included from misc.c:36:
    /usr/include/unistr.h:189: error: expected ‘;’, ‘,’ or ‘)’ before ‘_UNUSED_PARAMETER_’
    /usr/include/unistr.h:259: error: expected ‘;’, ‘,’ or ‘)’ before ‘_UNUSED_PARAMETER_’
    make[2]: *** [forked_daapd-misc.o] Error 1
    make[2]: Leaving directory `/home/adam/downloads/forked-daapd/src'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/adam/downloads/forked-daapd'
    make: *** [all] Error 2

  10. #20
    Join Date
    Jul 2010
    Beans
    1

    Re: How to set up forked-daapd (mt-daapd replacement) on 9.10

    Hi,

    I have simply removed the #include <unistr.h> in misc.c,
    which still seems to compile without flaws and seems to work without errors at the moment ... but didn't test too much, so can't decide on whether this makes sense at all as it must have been added by somewhat ... let's say ... intention !?

    party on.

Page 2 of 9 FirstFirst 1234 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •